org.springframework.data.relational.core.mapping

## Annotation Type Embedded

    @Retention(value=RUNTIME)
     @Target(value={FIELD,METHOD,ANNOTATION_TYPE})
     @Documented
    public @interface Embedded

The annotation to configure a value object as embedded in the current table.

Depending on the `value` of `onEmpty()` the property is set to null or an empty instance in the case all embedded values are null when reading from the result set.

Since:
  1.1
Author:
  Bastian Wilhelm, Christoph Strobl

### Required Element Summary

Required Elements
`Embedded.OnEmpty` `onEmpty` Set the load strategy for the embedded object if all contained fields yield null values.

### Optional Element Summary

Optional Elements
`String` `prefix`

### Element Detail

#### onEmpty

    public abstract Embedded.OnEmpty onEmpty

Set the load strategy for the embedded object if all contained fields yield null values.

`@Embedded.Nullable` and `@Embedded.Empty` offer shortcuts for this.

Returns:
  never null.

#### prefix

    public abstract String prefix

Returns:
  prefix for columns in the embedded value object. An empty `String` by default.

Default:
  ""